% SEND:
% --- P:    single protein sequence as a char
% --- K:    the kmer degree 

% DO:
% --- get all the existing Kmer (of degree K) in the protein
% --- find the locations of each of the Kmers on the protein

% GET:
% --- Hits: for each Kmer the number of its appearances in the sequence

function [Kmer rep interval] = get_Kmer_info_in_protein(P, K)

% get the Kmers that exist in the protein
Kmer = get_unique_existing_Kmer_in_protein(P, K);
N = length(Kmer);

%  go over the Kmers
for i = 1:N
    
    % locations
    loc = strfind(P, Kmer{i});
    % interval
    interval{i} = diff(loc);
    % total number of apperances (repetitions)
    rep(i) = length(loc);  
    

end

















